All Libraries | This Library | Package | Class | Use | Tree | Deprecated | Index | Grand Index | Help
|  | Components |
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.sas.servlet.tbeans.graphics.html
Class RadarChart

    com.sas.servlet.tbeans.graphics.html.RadarChart

All Implemented Interfaces:
  ActionProviderViewInterface, HttpActionProviderInterface, HttpActionProviderViewInterface, com.sas.beans.PropertyChangeSource, com.sas.lang.ObjectDataInterface, com.sas.servlet.tbeans.features.FeatureListInterface, FormViewInterface, GraphStyleKeysInterface, RenderableInterface, TransformationInterface, com.sas.util.WriteToPrintWriterInterface, java.io.Serializable

    public class RadarChart

implements GraphStyleKeysInterface, FormViewInterface

The RadarChart TransformationBean is a servlet component that produces radar charts that show the relative frequency of data measures in quality control or market research problems. Chart statistics are displayed along spokes that radiate from the center of the chart.

Note. This class can be used to render server-side graphs in Java servlets or JavaServer Pages (JSP). The com.sas.graphics.components.RadarChart class can be used to render client-side graphs in Java applications or applets. Both classes use the models in the com.sas.graphics.components package.

Topics:
  Minimum Specification
  Functional Overview
  Data Access
  Display Properties
  Titles and Footnotes
  Usage Examples
  Behavior
  Servlet-based Samples

See Also:
  `RadarChartModel`, `RadarChartDataModel`, `RadarChartTableDataModel`, `RadarChartOLAPDataModel`, `GraphStyle`, Serialized Form

Field Summary

Fields inherited from interface com.sas.servlet.tbeans.graphics.html.GraphStyleKeysInterface
`GRAPH_STYLE`

Constructor Summary
`RadarChart()` Constructs a new RadarChart Transformation Bean
`RadarChart(RadarChartTableDataModel dataModel)`

Method Summary
`java.util.HashMap` | `getAdditionalParameters()` Returns an HashMap containing additional parameters that should be added to the form used to perform the various actions on the table.
`RadarChartDataModel` | `getDataModel()` Gets the model on the viewer.
`Form` | `getDefaultFormObject()` Returns the FORM object used if no FORM object is specifed.
`Form` | `getFormObject()` Returns the FORM Object used to execute commands.
`boolean` | `isFormEnabled()` Determines if the tbean should render its formObject.
`void` | `setAdditionalParameter(java.lang.String name, java.lang.String value)` Sets an additional parameter to be added to the form used to perform the various actions on the table.
`void` | `setAdditionalParameters(java.util.HashMap map)` Sets an HashMap containing additional parameters that should be added to the form used to perform the various actions on the table.
`void` | `setDataModel(RadarChartTableDataModel dataModel)` Sets the model on the viewer.
`void` | `setFormEnabled(boolean value)` Sets whether the tbean should render its formObject.
`void` | `setFormObject(Form formObject)` Returns the FORM Object used to execute commands.
`void` | `write(java.io.PrintWriter out)` Writes the transformed representation of the object

Methods inherited from class com.sas.servlet.tbeans.graphics.BaseRadarChart
`applyGraphStyle, getGraphModel, getImageMapInfo, setDataModel, setGraphModel`

Methods inherited from class com.sas.servlet.tbeans.BaseActionTransformation
`dispose, getActionProvider, getActionSupportType, getUniqueId, isActionVisible, listActionTypes, listAreaTypes, setActionProvider, setActionSupportType, setActionVisible, setUniqueId`

Methods inherited from class com.sas.servlet.tbeans.BaseTransformation
`addPropertyChangeListener, addPropertyChangeListener, cleanUpResources, firePropertyChange, firePropertyChange, firePropertyChange, firePropertyChange, getCustomAttributes, getDescription, getId, getInputTransform, getLocale, getName, getObjectData, getObjectDataProperty, getOutputTransform, getRequest, getResponse, getTagEpilog, getTagProlog, hasListeners, isCleanUpResourcesOn, isVisible, removePropertyChangeListener, removePropertyChangeListener, setCleanUpResourcesOn, setCustomAttributes, setDescription, setId, setInputTransform, setLocale, setLocaleDependentProperties, setName, setObjectData, setObjectDataProperty, setOutputTransform, setRequest, setResponse, setTagEpilog, setTagProlog, setVisible, toString, write, write, write`

Methods inherited from interface com.sas.actionprovider.HttpActionProviderViewInterface
`getRequest, setRequest`

Constructor Detail

### RadarChart

    public RadarChart()

  Constructs a new RadarChart Transformation Bean

### RadarChart

    public RadarChart(RadarChartTableDataModel dataModel)

Method Detail

### setDataModel

    public void setDataModel(RadarChartTableDataModel dataModel)

  Sets the model on the viewer.

  Parameters:
    `dataModel` - an instance of the RadarChartTableDataModel

### getDataModel

    public RadarChartDataModel getDataModel()

  Gets the model on the viewer.

### getDefaultFormObject

    public Form getDefaultFormObject()

  Returns the FORM object used if no FORM object is specifed.

  Specified by:
    `getDefaultFormObject` in interface `FormViewInterface`
  Returns:
    FORM object
  See Also:
    `getFormObject()`

### getFormObject

    public Form getFormObject()

  Returns the FORM Object used to execute commands.

  Specified by:
    `getFormObject` in interface `FormViewInterface`
  Returns:
    FORM object
  See Also:
    `setFormObject(com.sas.servlet.tbeans.form.html.Form)`

### setFormObject

    public void setFormObject(Form formObject)

  Returns the FORM Object used to execute commands.

  Specified by:
    `setFormObject` in interface `FormViewInterface`
  Parameters:
    `formObject` - FORM object
  See Also:
    `getFormObject()`

### getAdditionalParameters

    public java.util.HashMap getAdditionalParameters()

  Returns an HashMap containing additional parameters that should be added to the form used to perform the various actions on the table. The default value is null. In the html version, each parameter will be added to the form as a hidden field using the name of the item as the name= parameter on the <input> tag and the value of the item as the value= parameter on the input tag.

  Specified by:
    `getAdditionalParameters` in interface `FormViewInterface`
  Returns:
    a HashMap containing additional parameters that should be added to the form
  See Also:
    `HashMap`

### setAdditionalParameters

    public void setAdditionalParameters(java.util.HashMap map)

  Sets an HashMap containing additional parameters that should be added to the form used to perform the various actions on the table. The default value is null. In the html version, each parameter will be added to the form as a hidden field using the name of the item as the name= parameter on the <input> tag and the value of the item as the value= parameter on the input tag.

  Specified by:
    `setAdditionalParameters` in interface `FormViewInterface`
  Parameters:
    `map` - HashMap object
  See Also:
    `HashMap`

### setAdditionalParameter

    public void setAdditionalParameter(java.lang.String name,
                                       java.lang.String value)

  Sets an additional parameter to be added to the form used to perform the various actions on the table. In the html version, Each parameter will be added to the form as a hidden field using the name of the item as the name= parameter on the <input> tag and the value of the item as the value= parameter on the input tag.

  Specified by:
    `setAdditionalParameter` in interface `FormViewInterface`
  Parameters:
    `name` - name of the list item
    `value` - value of the list item
  See Also:
    `HashMap`

### isFormEnabled

    public boolean isFormEnabled()

  Determines if the tbean should render its formObject. If true, then the tbean is responsible for rendering the formObject via the formObject's writeHeader and writeFooter methods. If false then the tbean does not render the formObject and the user is responsible for rendering the formObject.

  Specified by:
    `isFormEnabled` in interface `FormViewInterface`
  Returns:
    true if the tbean should render its formObject

### setFormEnabled

    public void setFormEnabled(boolean value)

  Sets whether the tbean should render its formObject. If so, then set to true. If set to false, the the user is responsible for rendering the formObject via its writeHeader and writeFooter methods.

  Specified by:
    `setFormEnabled` in interface `FormViewInterface`
  Parameters:
    `value` - true if the formObject should be rendered by the tbean

### write

    public void write(java.io.PrintWriter out)
               throws java.io.IOException

  Writes the transformed representation of the object

  Specified by:
    `write` in interface `TransformationInterface`
  Specified by:
    `write` in interface `com.sas.util.WriteToPrintWriterInterface`
  Overrides:
    `write` in class `BaseActionTransformation`
  Parameters:
    `out` - The output stream
  Throws:
    `java.io.IOException` - Thrown if some type of I/O error occurs

All Libraries | This Library | Package | Class | Use | Tree | Deprecated | Index | Grand Index | Help
|  | Components |
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2009 SAS Institute Inc. All Rights Reserved.